#include "SqlExecute.h"
#include <QSqlRecord>
#include <QSqlField>
#include "SqlCore.h"
#include <QDebug>
 
SqlExecute::SqlExecute(QObject * parent/*=NULL*/)
{

}

SqlExecute::~SqlExecute()
{

}
 
void SqlExecute::init(QString sDriver, QString sUser, QString sPasswd, QString sDBFile)
{
    SqlCore::init(sDriver, sUser, sPasswd, sDBFile);
    SqlCore::getSqlDataBase();
}

bool SqlExecute::exeRead(QString sql, QList<QVariantMap> &list)
{
	bool ok;
    QSharedPointer<QSqlQuery> m_sqlQuery = SqlCore::select(sql, ok);
	return true;
}

 
bool SqlExecute::exeRead(QString sql, QList<QList<QVariant>> &list, QStringList sResuleSeq)
{
	bool ok;
    QSharedPointer<QSqlQuery> m_sqlQuery = SqlCore::select(sql, ok);
	return true;
}

bool SqlExecute::exeWrite(QString sql)
{
	bool ok;
    QSharedPointer<QSqlQuery> m_sqlQuery = SqlCore::select(sql, ok);
	return true;
}

void SqlExecute::destroyConn()
{
    SqlCore::destroyConn();
}

QSqlDatabase SqlExecute::getDataBase()
{
	 
    return 	SqlCore::getSqlDataBase();
 
}

QList<QVariantMap> SqlExecute::getValues(QSharedPointer<QSqlQuery> sqlQuery, int page, int pageNum)
{
	QList<QVariantMap> list;
	if (!sqlQuery->seek(page))
	{
		return list;
	}
	do
	{
		QVariantMap map;
		list.append(map);
	} while (sqlQuery->next() && --pageNum);
	return list;
}

